"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

var _Button = require("../Button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StoreProduct = _ref => {
  var _data$id;

  let {
    data = {},
    onCardPress,
    onActionPress,
    style
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onCardPress,
    key: data === null || data === void 0 ? void 0 : (_data$id = data.id) === null || _data$id === void 0 ? void 0 : _data$id.toString(),
    style: [styles.cardWrapper, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.imageWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.imageThumbnail,
    resizeMethod: "auto",
    resizeMode: "cover"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      padding: _theme.width * 0.03
    }
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.item_name,
    variant: "light",
    size: 'large',
    color: _theme.colors.grey.grey8,
    numberOfLines: 2,
    textStyle: {
      marginBottom: 10
    }
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.price,
    variant: "bold"
  }), /*#__PURE__*/_react.default.createElement(_Button.GhostButton, {
    onPress: onActionPress,
    title: 'Tambah',
    style: {
      marginTop: _theme.width * 0.05
    }
  })));
};

const styles = _reactNative.StyleSheet.create({
  cardWrapper: {
    backgroundColor: 'white',
    width: '43%',
    borderRadius: 20,
    margin: _theme.width * 0.03,
    borderWidth: 0.5,
    borderColor: _theme.colors.grey.grey3
  },
  imageWrapper: {
    width: '100%',
    aspectRatio: 1,
    marginBottom: _theme.width * 0.03
  },
  imageThumbnail: {
    width: '100%',
    height: '100%',
    aspectRatio: 1,
    borderRadius: 20,
    borderBottomRightRadius: 0,
    borderBottomLeftRadius: 0
  }
});

var _default = StoreProduct;
exports.default = _default;
//# sourceMappingURL=StoreProduct.js.map