"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

var _Atoms = require("../../Atoms");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StoreSmall = _ref => {
  let {
    data = {},
    style,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: [styles.wrapper, styles.shadow, style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.imageWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: data === null || data === void 0 ? void 0 : data.image_url
    },
    style: styles.image
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.desc
  }, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.name,
    variant: "bold"
  }), /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    text: data === null || data === void 0 ? void 0 : data.formattedAddress,
    variant: "light",
    size: "small",
    numberOfLines: 3,
    textStyle: {
      marginTop: 8
    }
  })));
};

const styles = _reactNative.StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: _theme.colors.grey.grey4,
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 10,
    shadowOpacity: 0.1
  },
  wrapper: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'center',
    backgroundColor: 'white',
    padding: _theme.width * 0.03,
    borderRadius: 15,
    margin: 10
  },
  imageWrapper: {
    width: _theme.width * 0.2,
    height: _theme.width * 0.2
  },
  image: {
    width: '100%',
    height: '100%',
    borderRadius: 15
  },
  desc: {
    justifyContent: 'space-around',
    // height: '100%',
    maxWidth: _theme.width * 0.62,
    marginLeft: 10
  }
});

var _default = StoreSmall;
exports.default = _default;
//# sourceMappingURL=StoreSmall.js.map