import React from 'react';
import { Image, StyleSheet, TouchableOpacity, View } from 'react-native';
import { colors, width } from '../../../constant/theme';
import { Text } from '../../Atoms';

const StoreSmall = ({ data = {}, style, onPress }) => {
  return (
    <TouchableOpacity
      onPress={onPress}
      style={[styles.wrapper, styles.shadow, style]}
    >
      <View style={styles.imageWrapper}>
        <Image source={{ uri: data?.image_url }} style={styles.image} />
      </View>
      <View style={styles.desc}>
        <Text text={data?.name} variant="bold" />
        <Text
          text={data?.formattedAddress}
          variant="light"
          size="small"
          numberOfLines={3}
          textStyle={{ marginTop: 8 }}
        />
      </View>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  shadow: {
    elevation: 3,
    shadowColor: colors.grey.grey4,
    shadowOffset: { width: 0, height: 0 },
    shadowRadius: 10,
    shadowOpacity: 0.1,
  },
  wrapper: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'center',
    backgroundColor: 'white',
    padding: width * 0.03,
    borderRadius: 15,
    margin: 10,
  },
  imageWrapper: { width: width * 0.2, height: width * 0.2 },
  image: { width: '100%', height: '100%', borderRadius: 15 },
  desc: {
    justifyContent: 'space-around',
    // height: '100%',
    maxWidth: width * 0.62,
    marginLeft: 10,
  },
});

export default StoreSmall;
