import React, { PureComponent } from 'react';
import {
  Image,
  TouchableOpacity,
  TouchableOpacityBase,
  View,
} from 'react-native';
import { width } from '../../../constant/theme';
import { Text } from '../../Atoms';
import { styles } from './slider.style';

export class CarouselItem extends PureComponent {
  constructor(props) {
    super(props);
  }

  render() {
    const item = this.props?.item;

    return (
      <TouchableOpacity
        onPress={this.props?.onPress}
        style={[
          styles.container,
          {
            width: this.props?.itemWidth ? this.props.itemWidth : width * 0.85,
          },
          this.props?.containerStyle,
        ]}
      >
        <Image
          source={item.image}
          resizeMode="cover"
          style={styles.itemCarouselImage}
        />
      </TouchableOpacity>
    );
  }
}

export default CarouselItem;
